# SaturnArch
Small linux system base on arch linux traget on HPC. Fully automated install on VM.

## Install build tools
for build you need `archiso` package. (https://archlinux.org/packages/?name=archiso)

```sh
sudo pacman -S archiso
```

## Building iso
You can build iso only on Arch Linux. Make you sure is  `/work` and `/out` deleted. If not delete them.

```sh
chmod +x build.sh
sudo ./build.sh
```

## clean repo after build
Remove  `/work` and `/out`. 

```sh
sudo rm -rf /work
sudo rm -rf /out
```

## install on computer
* copy iso content to USB flash disk or CD disk

```sh
sudo dd if=my-saturnarch.iso of=/dev/mydisk status=progress
```

> installation is fully automated - nothing to select or change
> installation is automaticly targeting /dev/sda and use whole disk
> if /dev/sda is not pressent installation faild

* boot usb flash disk on legacy mode (UEFI mode is not supported!)
* after boot installation automaticly start
* after instalation finished computer automaticly reboot it self


## install in VM

* create new VM with standard HDD min size 8GB
* select .iso as boot install image
* start VM and wait after is all done